{
  "name": "web",
  "version": "1.1.0",
  "description": "数字化运营平台",
  "author": "数字化运营平台",
  "license": "MIT",
  "scripts": {
    "dev": "vue-cli-service serve --open",
    "build": "cross-env NODE_ENV=production vue-cli-service build",
    "build:staging": "cross-env NODE_ENV=production vue-cli-service build --mode staging",
    "preview": "node build/index.js --preview",
    "lint": "eslint --ext .js,.vue src",
    "test:unit": "jest --clearCache && vue-cli-service test:unit",
    "test:ci": "npm run lint && npm run test:unit",
    "new": "plop"
  },
  "keywords": [
    "vue",
    "admin",
    "JNPF",
    "element-ui",
    "JNPF-admin",
    "management-system"
  ],
  "dependencies": {
    "@fullcalendar/bootstrap": "^4.4.0",
    "@fullcalendar/core": "^4.4.0",
    "@fullcalendar/daygrid": "^4.4.0",
    "@fullcalendar/interaction": "^4.4.0",
    "@fullcalendar/timegrid": "^4.4.0",
    "@fullcalendar/vue": "^4.4.0",
    "axios": "1.6.8",
    "bin-ace-editor": "^3.2.0",
    "brace": "^0.11.1",
    "canvg": "^4.0.2",
    "clipboard": "2.0.4",
    "codemirror": "^5.58.2",
    "core-js": "^3.25.1",
    "dayjs": "^1.8.29",
    "driver.js": "0.9.5",
    "dropzone": "5.5.1",
    "echarts": "4.2.1",
    "echarts-stat": "^1.1.1",
    "element-resize-detector": "^1.2.1",
    "element-ui": "2.15.5",
    "exceljs": "^4.4.0",
    "file-saver": "2.0.1",
    "fuse.js": "3.4.4",
    "highcharts": "7.1.3",
    "highcharts-vue": "^1.3.5",
    "js-base64": "^2.6.4",
    "js-beautify": "^1.14.9",
    "js-md5": "^0.7.3",
    "jsbarcode": "^3.11.0",
    "jsencrypt": "^3.0.0-rc.1",
    "jsonlint": "1.6.3",
    "jszip": "3.10.1",
    "moment": "^2.29.4",
    "monaco-editor": "^0.20.0",
    "node-sql-parser": "^5.3.2",
    "normalize.css": "7.0.0",
    "nprogress": "0.2.0",
    "path-to-regexp": "2.4.0",
    "qrcodejs2": "0.0.2",
    "reconnecting-websocket": "^4.4.0",
    "screenfull": "4.2.0",
    "script-loader": "0.7.2",
    "showdown": "^1.9.1",
    "sortablejs": "1.8.4",
    "swiper": "^5.4.5",
    "throttle-debounce": "^2.1.0",
    "vcrontab": "^0.3.5",
    "vue": "^2.7.0",
    "vue-awesome-swiper": "^3.1.3",
    "vue-count-to": "1.0.13",
    "vue-drag-resize": "^1.4.2",
    "vue-esign": "^1.0.5",
    "vue-grid-layout": "^2.3.12-legacy",
    "vue-i18n": "7.3.2",
    "vue-organization-chart": "^1.1.6",
    "vue-quill-editor": "^3.0.6",
    "vue-router": "3.1.1",
    "vue-splitpane": "1.0.4",
    "vuedraggable": "2.20.0",
    "vuex": "3.1.0",
    "vxe-table": "^3.7.9",
    "vxe-table-plugin-element": "1",
    "vxe-table-plugin-export-xlsx": "^3.3.0",
    "xe-utils": "^3.5.7",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@babel/register": "7.0.0",
    "@vue/cli-plugin-babel": "~4.5.18",
    "@vue/cli-plugin-eslint": "~4.5.18",
    "@vue/cli-plugin-router": "~4.5.18",
    "@vue/cli-plugin-unit-jest": "3.5.3",
    "@vue/cli-plugin-vuex": "~4.5.18",
    "@vue/cli-service": "~4.5.18",
    "@vue/test-utils": "1.0.0-beta.29",
    "autoprefixer": "^9.5.1",
    "babel-eslint": "^10.1.0",
    "babel-jest": "23.6.0",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "chalk": "2.4.2",
    "chokidar": "2.1.5",
    "connect": "3.6.6",
    "cross-env": "^7.0.2",
    "eslint": "~7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-vue": "~9.9.0",
    "html-webpack-plugin": "3.2.0",
    "husky": "1.3.1",
    "lint-staged": "8.1.5",
    "monaco-editor-webpack-plugin": "^1.9.0",
    "plop": "2.3.0",
    "prettier": "^3.2.5",
    "runjs": "^4.3.2",
    "sass": "~1.39.2",
    "sass-loader": "^8.0.2",
    "script-ext-html-webpack-plugin": "2.1.3",
    "serve-static": "^1.13.2",
    "svg-sprite-loader": "4.1.3",
    "svgo": "1.2.0",
    "vue-loader": "^15.10.0"
  },
  "engines": {
    "node": ">=8.9",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ]
}
